import _extends from "@babel/runtime/helpers/esm/extends";
import _objectWithoutPropertiesLoose from "@babel/runtime/helpers/esm/objectWithoutPropertiesLoose";
var _excluded = ["children", "type", "duration"];
import { CSSTransition as Transition, TransitionGroup as AnimationTransitionGroup } from 'react-transition-group';
import PropTypes from 'prop-types';
import { CONFIG, TYPES } from './animations-config';
import { jsx as _jsx } from "react/jsx-runtime";
var CssTransition = function CssTransition(_ref) {
  var children = _ref.children,
    type = _ref.type,
    duration = _ref.duration,
    attrs = _objectWithoutPropertiesLoose(_ref, _excluded);
  var _CONFIG$type = CONFIG[type],
    className = _CONFIG$type.className,
    _CONFIG$type$timeout = _CONFIG$type.timeout,
    timeout = _CONFIG$type$timeout === void 0 ? duration : _CONFIG$type$timeout;
  var classNames = {
    appear: className + "-appear",
    appearActive: className + "-appearActive",
    appearDone: className + "-appearDone",
    enter: className + "-enter",
    enterActive: className + "-enterActive",
    enterDone: className + "-enterDone",
    exit: className + "-exit",
    exitActive: className + "-exitActive",
    exitDone: className + "-exitDone"
  };
  return /*#__PURE__*/_jsx(Transition, _extends({
    classNames: classNames,
    timeout: timeout
  }, attrs, {
    children: children
  }));
};
CssTransition.displayName = 'CssTransition';
export { TYPES, AnimationTransitionGroup };
export default CssTransition;